Description: Fix loop-limit for lookup of fullscreen resource

---
 main.c |    4 ++--
 ptyx.h |    3 ++-
 2 files changed, 4 insertions(+), 3 deletions(-)

--- a/main.c
+++ b/main.c
@@ -1,4 +1,4 @@
-/* $XTermId: main.c,v 1.853 2019/07/19 00:45:33 tom Exp $ */
+/* $XTermId: main.c,v 1.854 2019/07/23 20:43:58 tom Exp $ */
 
 /*
  * Copyright 2002-2018,2019 by Thomas E. Dickey
@@ -2436,7 +2436,7 @@ main(int argc, char *argv[]ENVP_ARG)
 #if OPT_MAXIMIZE
 	resource.fullscreen = extendedBoolean(resource.fullscreen_s,
 					      tblFullscreen,
-					      XtNumber(tblFullscreen));
+					      esLAST);
 #endif
 	VTInitTranslations();
 #if OPT_PTY_HANDSHAKE
--- a/ptyx.h
+++ b/ptyx.h
@@ -1,4 +1,4 @@
-/* $XTermId: ptyx.h,v 1.964 2019/07/19 00:40:41 tom Exp $ */
+/* $XTermId: ptyx.h,v 1.965 2019/07/23 20:43:30 tom Exp $ */
 
 /*
  * Copyright 1999-2018,2019 by Thomas E. Dickey
@@ -1204,6 +1204,7 @@ typedef enum {
     , esTrue
     , esAlways
     , esNever
+    , esLAST
 } FullscreenOps;
 
 #ifndef NO_ACTIVE_ICON
